Package org.apache.tapestry5.http.services

## Class CorsHttpServletRequestFilter

- java.lang.Object
- - org.apache.tapestry5.http.services.CorsHttpServletRequestFilter

- All Implemented Interfaces:
    `HttpServletRequestFilter`

      @UsesOrderedConfiguration(CorsHandler.class)
      public class CorsHttpServletRequestFilter
      extends java.lang.Object
      implements HttpServletRequestFilter

  HttpServletRequestFilter that handles CORS. Uses an ordered configuration of CorsHandler instances.
  Since:
    5.8.2
  See Also:
    `CorsHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CorsHttpServletRequestFilter​(java.util.List<CorsHandler> handlers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `service​(HttpServletRequest request, HttpServletResponse response, HttpServletRequestHandler handler)` | Filter interface for the HttpServletRequestHandler pipeline.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorsHttpServletRequestFilter

          public CorsHttpServletRequestFilter​(java.util.List<CorsHandler> handlers)

  - ### Method Detail

    - #### service

          public boolean service​(HttpServletRequest request,
                                 HttpServletResponse response,
                                 HttpServletRequestHandler handler)
                          throws java.io.IOException

      Description copied from interface: `HttpServletRequestFilter`
      Filter interface for the HttpServletRequestHandler pipeline. A filter should delegate to the handler. It may perform operations before or after invoking the handler, and may modify the request and response passed in to the handler.
      Specified by:
        `service` in interface `HttpServletRequestFilter`
      Returns:
        true if the request has been handled, false otherwise
      Throws:
        `java.io.IOException`